Bug 241304 - (perl-DBI-Dumper) Review Request: perl-DBI-Dumper - Dump data from a DBI datasource to file
Review Request: perl-DBI-Dumper - Dump data from a DBI datasource to file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/DBI-Dumper/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 18:20 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 21:25:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-24 18:20:00 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-DBI-Dumper-2.01-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DBI-Dumper.spec

Description:
Dumps data from a select statement into an output file. dbidumper tries
to mirror the functionality and behavior of sql*loader. The control
file syntax is similar, and DBI::Dumper utilizes a subset of the
sql*loader options.
Comment 1 Ruben Kerkhof 2007-05-25 15:10:43 EDT
Hi Chris,

This is my first review of a perl package, so I'd prefer if someone more experienced would have a look 
as well.

But anyway, here we go:

* RPM name is OK
* Source DBI-Dumper-2.01.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK

Notes:
- What is grammar.prd, and does it need to be in the docs?
Comment 2 Chris Weyl 2007-05-25 16:31:10 EDT
grammar.prd is the grammar Parse::RecDescent definition used by DBI::Dumper.  I
figured it might be useful to someone wanting to take a deeper look at things...
Comment 3 Parag AN(पराग) 2007-06-06 02:40:21 EDT
where can I find license text?
Comment 4 Chris Weyl 2007-06-06 10:55:43 EDT
See http://rt.cpan.org/Public/Bug/Display.html?id=27269
Comment 5 Parag AN(पराग) 2007-07-24 06:43:35 EDT
any updates?
Comment 6 Chris Weyl 2007-07-24 12:39:53 EDT
(In reply to comment #5)
> any updates?

To what exactly? :)
Comment 7 Parag AN(पराग) 2007-07-25 04:26:20 EDT
license inclusion in upstream tarball.
Comment 8 Parag AN(पराग) 2007-09-27 11:20:00 EDT
Ping?
Comment 9 Chris Weyl 2007-10-14 17:12:28 EDT
The rt bug comments from the author tell us what the license is, namely, under
the same terms as perl itself.  He has also committed to including a statement
to that effect in the next release of the distribution.

I've updated the rpm to include a "COPYING.fedora" with the information from and
a link to the licensing bug on rt.cpan.org.

http://fedora.biggerontheinside.net/review/perl-DBI-Dumper-2.01-2.fc7.src.rpm
http://fedora.biggerontheinside.net/review/perl-DBI-Dumper.spec
Comment 10 Parag AN(पराग) 2007-10-26 07:45:41 EDT
Actually I was waiting for new upstream release but anyway as you have already
added upstream clarification regarding license its ok now.

Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
402bc1aacf4b39f318fa5b2bf47d123d  DBI-Dumper-2.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_use.......ok
t/basic........ok
t/dbidumper....Opening file: /tmp/QBa9Ygtduu
12 row(s) dumped.
ok
t/grammar......ok
All tests successful.
Files=4, Tests=131,  1 wallclock secs ( 1.10 cusr +  0.09 csys =  1.19 CPU)
+ Package perl-DBI-Dumper-2.01-2.fc8 ->
Provides: C.so perl(DBI::Dumper) = 2.01 perl(DBI::Dumper::C) = 1.00
perl(DBI::Dumper::Grammar) perl(DBI::Dumper::PurePerl)
perl(Parse::RecDescent::DBI::Dumper::Grammar)
Requires: /usr/bin/perl libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
perl(:MODULE_COMPAT_5.8.8) perl(DBI) perl(DBI::Dumper)
perl(DBI::Dumper::Grammar) perl(DBI::Dumper::PurePerl) perl(Inline)
perl(Parse::RecDescent) perl(Time::HiRes) perl(strict) perl(vars) perl(warnings)
rtld(GNU_HASH)

APPROVED.

Comment 11 Chris Weyl 2007-10-26 12:50:07 EDT
New Package CVS Request
=======================
Package Name: perl-DBI-Dumper
Short Description: Dump data from a DBI datasource to file
Owners: cweyl
Branches: FC-6, F-7, F-8, devel
InitialCC: perl-sig
Comment 12 Warren Togami 2007-10-29 13:05:53 EDT
InitialCC: perl-sig

Comment 13 Warren Togami 2007-10-29 13:06:27 EDT
InitialCC: perl-sig

Done except for this.  Given that this template must be machine readable, what
do you mean?
Comment 14 Warren Togami 2007-10-29 13:08:12 EDT
Oops, that did actually work.
Comment 15 Chris Weyl 2007-10-30 21:25:57 EDT
:)

Imported and built!  Thanks for the review :)

Note You need to log in before you can comment on or make changes to this bug.